PTHREAD_SET_NAME_NP(3)

NAME
pthread_set_name_np - set the name of a thread

SYNOPSIS
#include <pthread.h>
#include <pthread_np.h>
void
pthread_set_name_np(pthread_t thread, const char *name);

DESCRIPTION
The pthread_set_name_np() function associates name with thread. This can be useful for debugging, as the name is displayed in the thread status as displayed when the process receives the SIGINFO signal.

The string pointed to by name is copied, and so need not be valid for the life of the thread.

SEE ALSO
pthreads(3)

STANDARDS
The pthread_set_name_np() function is non-portable and may not be supported with the above semantics on other POSIX systems.